# Luxsci.AccountaccountIdaliasesAliases

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user** | **String** | Required. The user part of the alias address. E.g. “john” in “john@sample.com”. This must be a valid user part of an email address and less than 65 characters ling. | 
**domain** | **String** | Required. The domain part of the alias addres. E.g. “sample.com”. This must be an active domain in this account. | 
**action** | **String** | Required. One of “email”, “bounce”, or “delete” to define what happens to messages to this alias: forward them via email, bounce them with a message, or delete them. | 
**dest** | **String** | The “destination” for actions of type “email”. This is a comma-delimited list of email addresses to whom to forward the message. | [optional] 
**bounce** | **String** | The short 50-character or less ANSI-encoded failure message to send back when the action is “bounce” | [optional] 

<a name="ActionEnum"></a>
## Enum: ActionEnum

* `email` (value: `"email"`)
* `bounce` (value: `"bounce"`)
* `_delete` (value: `"delete"`)

