# Luxsci.EmailArBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**title** | **String** | Title of the auto-responder. | 
**suject** | **String** | Response email subject. In UTF-8. | [optional] 
**body** | **String** | Email body content. In UTF-8. | 
**match** | **String** | Content to match.  This must be empty, an email address, or a domain name.  If included, the auto-reponse fires only for messages to an email address matching this content. | [optional] 
**signatureId** | **Number** | Numerical Id of the WebMail signature to use for the auto-response. If omitted, the first signature that matches the signature_name field will be used.  If omitted, the first signature that matches the signature_from field will be used.  If omitted, the default signature will be used. If there is no default, a signature will be picked from the available signatures. | [optional] 
**signatureName** | **String** | Instead of signature_id, match the desired WebMail signature by its name. | [optional] 
**signatureFrom** | **String** | Instead of signature_id or signature_name, match the desired WebMail signature by the from address. | [optional] 
**isBodyHtml** | **Boolean** | If supplied and true, the \&quot;body\&quot; field is taken to be HTML content.  Otherwise, the \&quot;body\&quot; is assumed to be plain text. | [optional] 
**inReply** | **Boolean** | If supplied and true, the \&quot;In reply to...\&quot; content typically at the top of an automatic response will be omitted. | [optional] 
