# Luxsci.EmailSendBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**message** | [**Message**](Message.md) |  | [optional] 
**messages** | [**[Message]**](Message.md) | If you are sending one or more messages through this API call, you can include an array of message objects (see below) as the value of the “messages” parameter.  You should not use both message and messages in the same API call. If you do, the “message” parameter will be used, and the “messages” parameter ignored. | [optional] 
**sandbox** | **Number** | Optional: to enable specify any non-zero number.  Sandbox mode is designed for integration and performance testing.  When enabled, messages are validated, accepted, and queued for sending as ususal.  However, in sandbox mode (a) your email sending limits are not checked -- so you will not receive errors for trying to send more messages than you have available your plan, (b) the messages will be deleted from queue instead of being passed on to your SMTP servers for processing and delivery to their recipents, (c) the messages will not actually be sent or delivered -- so it does not matter what recipient email addresses are atually used, (d) the messages will not show up in your email sending history reports, and (e) the messages will not count against your email sending limits. | [optional] 
**smtpServer** | **String** | Optional. Specify a comma-delimited list of the SMTP server hostnames that this message should be delivered through. These hostnames are the canonical server names for your SMTP servers, as provided by your LuxSci support team. E.g., such names are typically of the form “rs999.luxsci.com” or “rs1099.yourdomain.com”. Other possibly valid-forSMTP, names like “email999.luxsci.com,” will be rejected. If you omit this field then, by default, all of the outbound SMTP servers assigned to your account will be selected (no matter if that is 1 or 20) for you. Note that you can specify in your API configuration what this default list of servers should be (i.e., instead of \&quot;all\&quot;).  In this way, it is easy to send to different groups of servers using different API end points, rather than relying on the API client to choose the servers explicitly. | [optional] 
**smtpServerMethod** | **String** | Optional. If you have multiple SMTP servers implicitly or explicitly selected for the “smtp_server” parameter, this parameter determines in what order they are tried. I.e., the “first” server is tried first and if the API cannot connect to that SMTP server (because it is down or too busy), it will try the next one, and so on. The possible values are “1” and “2”. 1: Try the email servers in the exact order provided. In this case, the servers in smtp_server are given in order of preference and we always try to send through the 1st one in the list when possible, falling back to the others if needed. 2: Randomize the list and then try them in a random order. This option, which is the default, is ideal for distributing the sending of your messages evenly across your selected SMTP servers.  | [optional] 
