# Luxsci.InlineResponse20013Data

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**templateId** | **String** | Unique numerical template ID. | [optional] 
**templateGroupId** | **String** | Unique numerical template Group ID. A value of zero means unassigned. | [optional] 
**codeWord** | **String** | Textual unique template reference. | [optional] 
**title** | **String** | Internal title for this template. | [optional] 
**subject** | **String** | Email message subject to be used. | [optional] 
**bodyHtml** | **String** | Email body content for HTML viewing. | [optional] 
**bodyText** | **String** | Email body content for plain text viewing. | [optional] 
**preheader** | **String** | Email preheader content. | [optional] 
**notes** | **String** | Notes/comments on this template. | [optional] 
**isPrivate** | **Number** | 1: is private and will not be visible to other users in the same partition. 0: not private and can be shared. | [optional] 
**format** | **String** | What body formats to include when sending? | [optional] 
**slOptIn** | **Number** | Definitely use email encryption for this message (for users who are not required to use it anyway). | [optional] 
**slOptOut** | **Number** | Opt out of encryption as this message will NOT include PHI, PII, or sensitive data. | [optional] 
**slNoTls** | **Number** | Do not use \&quot;TLS Only\&quot; as an email encryption method. Use something stronger such as Escrow, PGP, or S/MIME. | [optional] 
**created** | **String** | Date the template was created. YYYY-MM-DD HH:MM:SS in GMT. | [optional] 
**modified** | **String** | Date the template was last modified. YYYY-MM-DD HH:MM:SS in GMT. | [optional] 
**lastUsed** | **String** | Date and time the template was last used. YYYY-MM-DD HH:MM:SS in GMT.  If this date is before the year 2000, then the date was ot captured or the template has not yet been used. | [optional] 
