# Luxsci.MarketingAddContactBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**email** | **String** | Email address of the contact | 
**listId** | **Number** | ID of the contact list where this contact will be added | 
**format** | **String** | Which format this contact should receive the email HTML &#x3D; Wil receive HTML version of the email TEXT &#x3D; Will receive simple text version | [optional] [default to &#x27;HTML&#x27;]
**isConfirmed** | **Number** | Confirmation status of the contact 0 &#x3D; Add this contact as unconfirmed 1 &#x3D; Add this contact as confirmed | [optional] [default to IsConfirmedEnum._1]
**isActive** | **Number** | Status of the contact 0 &#x3D; Mark as inactive (will not receive emails) 1 &#x3D; Mark as active | [optional] [default to IsActiveEnum._1]
**bounced** | **Number** | Bounced status of the contact 0 &#x3D; Add as not bounced 1 &#x3D; Add as soft bounced 2 &#x3D; Add as hard bounced | [optional] [default to BouncedEnum._0]
**isUnsubscribed** | **Number** | Subscription status of the contact 0 &#x3D; Mark as subscribed 1 &#x3D; Mark as unsubscribed | [optional] [default to IsUnsubscribedEnum._0]
**isSpam** | **Number** | If this contact has produced a spam complaint 0 &#x3D; Mark as not having made a spam complaint 1 &#x3D; Mark as having made a complaint | [optional] [default to IsSpamEnum._0]
**additionalProperties** | **String** | Set additional custom field values. The field “response” is reserved. For any date-based fields custom fields, the format needs to be \&quot;ISO 8601\&quot; which is: YYYY-MM-DD. | [optional] 

<a name="FormatEnum"></a>
## Enum: FormatEnum

* `HTML` (value: `"HTML"`)
* `TEXT` (value: `"TEXT"`)


<a name="IsConfirmedEnum"></a>
## Enum: IsConfirmedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="IsActiveEnum"></a>
## Enum: IsActiveEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="BouncedEnum"></a>
## Enum: BouncedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)
* `_2` (value: `2`)


<a name="IsUnsubscribedEnum"></a>
## Enum: IsUnsubscribedEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="IsSpamEnum"></a>
## Enum: IsSpamEnum

* `_0` (value: `0`)
* `_1` (value: `1`)

